SynqDocs
Management APIEmail domains

Check a brand's sending domain now

Looks at the domain again now rather than at its next scheduled check: registers it if it is still `pending_setup`, else looks its records up and, when they are all there and Postmark agrees, verifies it. Once a minute for a domain. Needs `org.emailDomains.edit` in the brand and a plan with `branding.custom_email_domain`.

POST/v1/orgs/{org}/brands/{brand}/email-domains/{domain}/check

Looks at the domain again now rather than at its next scheduled check: registers it if it is still pending_setup, else looks its records up and, when they are all there and Postmark agrees, verifies it. Once a minute for a domain. Needs org.emailDomains.edit in the brand and a plan with branding.custom_email_domain.

Authorization

bearer
AuthorizationBearer <token>

An org API key (sk_live_…, sk_test_…), or an access token from the Synq issuer (the synq brand, on the accounts host) for this API.

In: header

Path Parameters

org*string

The org's id

Match^org_[0-9a-hjkmnp-tv-z]{26}$
brand*string

The brand's id

Match^brd_[0-9a-hjkmnp-tv-z]{26}$
domain*string

The sending domain's id

Match^edm_[0-9a-hjkmnp-tv-z]{26}$

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://api.synq.build/v1/orgs/org_01h455vb4pex5vsknk084sn02q/brands/brd_01h455vb4pex5vsknk084sn02q/email-domains/edm_01h455vb4pex5vsknk084sn02q/check" \  -H "Authorization: Bearer $SYNQ_API_KEY"
{  "id": "edm_01h455vb4pex5vsknk084sn02q",  "domain": "mail.acme.com",  "status": "pending_dns",  "records": [    {      "purpose": "dkim",      "type": "TXT",      "host": "20261006120000pm._domainkey.mail.acme.com",      "value": "k=rsa; p=MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQ…",      "required": true,      "status": "unchecked",      "seen": "string"    }  ],  "problem": "record_missing",  "brand": "brd_01h455vb4pex5vsknk084sn02q",  "in_use": true,  "verified_at": "2026-10-21T12:00:00.000Z",  "last_checked_at": "2026-10-21T12:00:00.000Z",  "created_at": "2026-10-21T12:00:00.000Z"}